## iqa iqa — Image Quality Assessment plugin. |

## Description

IQA will perform full reference image quality assessment, with the first added pad being the reference.

It will perform comparisons on video streams with the same geometry.

The image output will be the heat map of differences, between the two pads with the highest measured difference.

For each reference frame, IQA will post a message containing a structure named IQA.

The only metric supported for now is "dssim", which will be available if https://github.com/pornel/dssim was installed on the system at the time that plugin was compiled.

For each metric activated, this structure will contain another structure, named after the metric.

The message will also contain a "time" field.

For example, if do-dssim is set to true, and there are two compared streams, the emitted structure will look like this:

IQA, dssim=(structure)"dssim\,\ sink_1\=(double)0.053621271267184856\,\ sink_2\=(double)0.0082939683976297474\;", time=(guint64)0;

#### Example launch line

    1
    2
    gst-launch-1.0 -m uridecodebin uri=file:///test/file/1 ! iqa name=iqa do-dssim=true \
    ! videoconvert ! autovideosink uridecodebin uri=file:///test/file/2 ! iqa.

This pipeline will output messages to the console for each set of compared frames.

## Functions

## Types and Values